Glue Up API
User CollectionEvent CollectionSubscription CollectionMembership Collection
Finance Collection
User CollectionEvent CollectionSubscription CollectionMembership Collection
Finance Collection
  1. Membership Collection
  • Retrieve the Membership Directory Settings
    GET
  • Retrieve Default Company Application Form
    GET
  • Retrieve Default Individual Application Form
    GET
  • Retrieve All Company Application Forms
    POST
  • Retrieve All Individual Application Forms
    POST
  • Retrieve All Company Application Form Fields
    GET
  • Retrieve All Individual Application Form Fields
    GET
  • Retrieve the Company Membership Directory List
    POST
  • Retrieve the Basic Company Membership Directory List
    POST
  • Retrieve a Company Membership
    GET
  • Retrieve the Individual Membership Directory List
    POST
  • Retrieve a Individual Membership
    GET
  • Retrieve the Membership Member Directory List
    POST
  • Retrieve the Basic Membership Member Directory List
    POST
  • Retrieve the Membership Member by Member ID
    GET
  • Retrieve the Membership Member Directory List By User
    POST
  • Retrieve the Membership Industry List By Membership Type
    GET
  • Retrieve the Membership Type List By Page
    POST
  • Retrieve the Membership List By Page
    GET
  1. Membership Collection

Retrieve the Company Membership Directory List

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
POST
/membershipDirectory/corporateMemberships
Retrieve the company memberships from the membership directory of an organization. You will receive only active company memberships. This endpoint will return a list of Company Membership Model.
If a member has set up an image, their image information can be accessed within the response body of this endpoint. For company member, the image associated with the member is located within the element identified by the path value.image. For individual members, the images can be found within the elements identified by the path value.members[].image.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Company membership directory list returned
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-demo-story.glueup.com/v2/membershipDirectory/corporateMemberships' \
--header 'a;' \
--header 'requestOrganizationId;' \
--header 'Content-Type: application/json' \
--data '{
    "projection": [],
    "filter": [
        {
            "projection": "featured",
            "operator": "eq",
            "values": [
                false
            ]
        },
        {
            "projection": "name",
            "operator": "st",
            "values": [
                "E"
            ]
        },
        {
            "projection": "industryCode",
            "operator": "eq",
            "values": [
                "COMPSW"
            ]
        }
    ],
    "search": {
        "fields": [
            "name"
        ],
        "value": "Eventbank",
        "fullText": true
    },
    "order": {
        "name": "asc"
    },
    "offset": 0,
    "limit": 20
}'
Response Response Example
[
    {
        "id": 39355,
        "membershipId": 16875,
        "membershipType": {
            "id": 612,
            "title": "Company Type B",
            "type": "Company"
        },
        "startDate": 1563120001000,
        "featured": false,
        "name": "Eventbank",
        "properties": {
            "linked_in_url": ""
        },
        "adminContact": {
            "language": {
                "code": "en"
            },
            "givenName": "Ivy",
            "familyName": "L",
            "positionTitle": "",
            "emailAddress": {
                "value": "ivy@glueup.com"
            },
            "phoneNumber": {
                "value": ""
            }
        },
        "image": {
            "filename": "9876deed-5432-abcd-1a2b-9876543210ab.png",
            "id": "9876deed-5432-abcd-1a2b-9876543210ab",
            "uri": "/resources/public/images/logo/::size::/9876deed-5432-abcd-1a2b-9876543210ab.png"
        },
        "members": [
            {
                "id": 39409,
                "membershipId": 16875,
                "featured": false,
                "emailAddress": {
                    "value": "test.user@glueup.com"
                },
                "phone": {
                    "value": "0123456789"
                },
                "givenName": "Test",
                "familyName": "User",
                "primary": true,
                "image": {
                    "filename": "3a8e75d8-4b6c-40d1-9e7f-1a2b3c4d5e6f.png",
                    "id": "3a8e75d8-4b6c-40d1-9e7f-1a2b3c4d5e6f",
                    "uri": "/resources/public/images/square/::size::/3a8e75d8-4b6c-40d1-9e7f-1a2b3c4d5e6f.png"
                }
            }
        ]
    }
]
Modified at 2026-06-29 08:37:20
Previous
Retrieve All Individual Application Form Fields
Next
Retrieve the Basic Company Membership Directory List
Built with